:root {
    --custom_cursor_white: url('../img/custom_cursor_white.png'), auto;
    --custom_cursor_black: url('../img/custom_cursor_black.png'), auto;
}

@font-face {
    font-family: OpenSans-Regular;
    src: url("/../fonts/OpenSans-Regular.ttf");
    font-display: swap;
}

@font-face {
    font-family: OpenSans-Bold;
    src: url("/../fonts/OpenSans-Bold.ttf");
    font-display: swap;
}

/*Preloader Styles Start*/
#preloader {
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: 999999;
    background-color: white;
}

.first-wrapper {
    background-color: rgb(15, 15, 15);
    height: 100%;
	width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.square {
	position: absolute;
	width: 50px;
	height: 50px;
	top: 73px;
	left: 73px;
    margin-right: auto;
	margin-left: auto;
	background-color: rgba(255,255,255,0);
	border: 2px solid rgb(255, 255, 255);
}

.square-loader {
    position: relative;
    width: 200px;
    height: 200px;
    transform: rotate(45deg);
}

.first_square {
    animation: first_square_animate 1s infinite ease-in-out;
}

.second_square {
    animation: second_square 1s forwards, 
               second_square_animate 1s infinite ease-in-out;
}

.third_square {
	animation: third_square 1s forwards, 
               third_square_animate 1s infinite ease-in-out;
}	
		
@keyframes second_square {
    100% { width: 100px; height:100px; left: 48px; top: 48px; }
}

@keyframes third_square {
    100% { width: 150px; height:150px; left: 23px; top: 23px;}
}

@keyframes first_square_animate {
    0%   { transform: perspective(100px) rotateX(0deg) rotateY(0deg);} 
    50%  { transform: perspective(100px) rotateX(-180deg) rotateY(0deg); }
    100% { transform: perspective(100px) rotateX(-180deg) rotateY(-180deg); }
}

@keyframes second_square_animate {
    0%   { transform: perspective(200px) rotateX(0deg) rotateY(0deg); } 
    50%  { transform: perspective(200px) rotateX(180deg) rotateY(0deg); } 
    100% { transform: perspective(200px) rotateX(180deg) rotateY(180deg); }
}

@keyframes third_square_animate {
    0%   { transform: perspective(300px) rotateX(0deg) rotateY(0deg); } 
    50%  { transform: perspective(300px) rotateX(-180deg) rotateY(0deg); } 
    100% { transform: perspective(300px) rotateX(-180deg) rotateY(-180deg); }
}
/*Preloader Styles END*/

head,
body {
    margin: 0px;
    padding: 0px;
}

body {
    width: 100%;
    height: 100vh;
    background-image: url('../img/main_bg.webp');
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    overflow-y: hidden;
}

a {
    text-decoration: none;
}

#wrapper {
    position: fixed;
    display: block;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(3px);
    z-index: 99999;
}

#text-block {
    position: absolute;
    display: block;
    width: auto;
    height: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
        -o-transform: translate(-50%, -50%);
}

#text-block p {
    position: relative;
    display: block;
    width: auto;
    height: auto;
    font-size: 22px;
    color: rgb(255, 255, 255);
    font-family: OpenSans-Regular;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 1px;
}

#text-block a {
    position: relative;
    display: inline-block;
    width: 74px;
    height: auto;
    margin-top: 20px;
    padding: 15px 50px 15px 50px;
    font-family: OpenSans-Bold;
    color: rgb(255, 255, 255);
    background-color: rgb(213, 62, 7);
    cursor: var(--custom_cursor_white);
    text-align: center;
    text-transform: uppercase;
    left: 50%;
    transform: translate(-50%, 0);
        -ms-transform: translate(-50%, 0);
        -moz-transform: translate(-50%, 0);
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
    transition: 0.3s;
        -webkit-transition: 0.3s;
        -moz-transition: 0.3s;
        -o-transition: 0.3s;
}

#text-block a:hover {
    background-color: rgb(213, 62, 7, 0.9);
}
